package cn.hhj.microboot.config;

import org.springframework.boot.web.server.ErrorPage;
import org.springframework.boot.web.server.ErrorPageRegistrar;
import org.springframework.boot.web.server.ErrorPageRegistry;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;

@Component
public class ErrorPageConfig implements ErrorPageRegistrar {
    @Override
    public void registerErrorPages(ErrorPageRegistry errorPageRegistry) {
        //1、按错误的类型显示错误的网页
    	ErrorPage errorPage400 =new ErrorPage(HttpStatus.BAD_REQUEST,"/error-400.html");
        ErrorPage errorPage404 =new ErrorPage(HttpStatus.NOT_FOUND,"/error-404.html");
//        ErrorPage errorPage500 =new ErrorPage(HttpStatus.INTERNAL_SERVER_ERROR,"/error-500.html");
//        errorPageRegistry.addErrorPages(errorPage400, errorPage404,errorPage500);
        errorPageRegistry.addErrorPages(errorPage400, errorPage404);
    }
}