package cn.hhj.microboot.controller;

import javax.annotation.Resource;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import cn.hhj.microboot.service.IMessageService;
import cn.hhj.microboot.util.controller.AbstractBaseController;

@Controller
public class MessageController extends AbstractBaseController {
	@Resource(name="messageService")
	private IMessageService messageService ;
	@RequestMapping(value = "/", method = RequestMethod.GET)
	public String index() {
		return this.messageService.info() ;
	}
	@RequestMapping(value = "/echo", method = RequestMethod.GET)
	public String echo(String mid) {
		System.out.println("【*** 访问地址 ***】" + super.getMessage("member.add.action"));
		return super.getMessage("welcome.msg", mid);
	}
    @RequestMapping("/message")
    public String show(String hid, Model model) {
        model.addAttribute("url","www.hhj.cn");//request属性传递的包装
        model.addAttribute("hid",hid);
        return "messages/message_show";//此处只返回一个路径，该路径没有设置后缀，后缀是默认*.html
    }
}
