package cn.hhj.microboot.config;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import cn.hhj.microboot.vo.ErrorInfo;

@RestControllerAdvice
public class GlobalExceptionHandler {
   public static final String DEFAULT_ERROR_VIEW="errors/error";//定义错误显示页
   @ExceptionHandler(value=Exception.class)
      public Object defaultErrorHandler(HttpServletRequest request,Exception e) {
      ErrorInfo info=new ErrorInfo();
      info.setCode(100);
      info.setMessage(e.getMessage());
      info.setUrl(request.getRequestURI());
      return info;
   }
}