package cn.hhj.microboot.controller;

import java.util.Iterator;

import javax.validation.Valid;

import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.validation.ObjectError;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.hhj.microboot.util.controller.AbstractBaseController;
import cn.hhj.microboot.vo.Member;

@Controller
public class MemberController extends AbstractBaseController {

    @RequestMapping(value = "/addPre",method = RequestMethod.GET)
    public String addPre(){//增加前的准备操作
        return "/member/member_add";
    }
   @RequestMapping(value = "/add",method = RequestMethod.POST)
   @ResponseBody
    public Object add(@Valid Member vo,BindingResult result){//增加前的准备操作
	    if (result.hasErrors()){
	        Iterator<ObjectError> iterator=result.getAllErrors().iterator();//获取全部的错误信息
	        while (iterator.hasNext()){
	            ObjectError error=iterator.next();
	            System.out.println("code="+error.getCode()+"、message="+error.getDefaultMessage());
	        }
	        return result.getAllErrors();
	    }else{
	    return vo;
	    }
    }
   @RequestMapping("test")
   public String error() {
	   int x=10/0;
	   return "index";
   }
}